org.hibernate.validator.cfg.context

## Interface PropertyConstraintMappingContext

- All Superinterfaces:
    AnnotationProcessingOptions<PropertyConstraintMappingContext>, Cascadable<PropertyConstraintMappingContext>, Constrainable<PropertyConstraintMappingContext>, ConstructorTarget, MethodTarget, PropertyTarget, TypeTarget, Unwrapable<PropertyConstraintMappingContext>
  All Known Implementing Classes:
    PropertyConstraintMappingContextImpl

      public interface PropertyConstraintMappingContext
      extends Constrainable<PropertyConstraintMappingContext>, TypeTarget, PropertyTarget, ConstructorTarget, MethodTarget, Cascadable<PropertyConstraintMappingContext>, Unwrapable<PropertyConstraintMappingContext>, AnnotationProcessingOptions<PropertyConstraintMappingContext>

  Constraint mapping creational context representing a property of a bean. Allows to place constraints on the property, mark the property as cascadable and to navigate to other constraint targets.
  Author:
    Gunnar Morling, Kevin Pollet (C) 2011 SERLI

- - ### Method Summary

    - ### Methods inherited from interface org.hibernate.validator.cfg.context.Constrainable

      `constraint`

    - ### Methods inherited from interface org.hibernate.validator.cfg.context.TypeTarget

      `type`

    - ### Methods inherited from interface org.hibernate.validator.cfg.context.PropertyTarget

      `property`

    - ### Methods inherited from interface org.hibernate.validator.cfg.context.ConstructorTarget

      `constructor`

    - ### Methods inherited from interface org.hibernate.validator.cfg.context.MethodTarget

      `method`

    - ### Methods inherited from interface org.hibernate.validator.cfg.context.Cascadable

      `convertGroup, valid`

    - ### Methods inherited from interface org.hibernate.validator.cfg.context.Unwrapable

      `unwrapValidatedValue`

    - ### Methods inherited from interface org.hibernate.validator.cfg.context.AnnotationProcessingOptions

      `ignoreAnnotations`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved